-- 
-- 	lowFuelIndicator									
-- 														
-- 	author: Wortel										
-- 	Date: 09.06.2015									
-- 	version: 2.0										
--

lowFuelIndicator = {};
lowFuelIndicator.modDir = g_currentModDirectory;

function lowFuelIndicator.prerequisitesPresent(specializations)
    return SpecializationUtil.hasSpecialization(Motorized, specializations);
end;

function lowFuelIndicator:load(xmlFile)
	
	self.lowFuelIndicator = Utils.indexToObject(self.components, getXMLString(xmlFile, "vehicle.lowFuelIndicator#index"));
	
	lowFuelSoundFile = Utils.getFilename(lowFuelIndicator.modDir.."Sounds/fuelwarning.wav");
    self.lowFuelSoundId = createSample("LFSound");
    loadSample(self.lowFuelSoundId, lowFuelSoundFile, false);
	self.lowFuelSoundPlaying = false;
	self.playedSound = false;
end;

function lowFuelIndicator:delete()
end;

function lowFuelIndicator:mouseEvent(posX, posY, isDown, isUp, button)
end;

function lowFuelIndicator:keyEvent(unicode, sym, modifier, isDown)
end;

function lowFuelIndicator:update(dt)
end;

function lowFuelIndicator:draw()
	if self.fuelFillLevel <= (self.fuelCapacity / 100) * 20 then 
		setVisibility(self.lowFuelIndicator, true);
		if self.playedSound == false then
			playSample(self.lowFuelSoundId,1,1,0);
			self.playedSound = true;
		end;
		else
		setVisibility(self.lowFuelIndicator, false);
			self.playedSound = false;
	end;
	if self.fuelFillLevel <= (self.fuelCapacity / 100) * 10 then 
		g_currentMission:addExtraPrintText(g_i18n:getText("fuelWarning"));
	end;
end;
